# Morphir Users' Guide
The purpose of the document is to provide a detailed explanation of how to use the Morphir toolset to model business application.

### Who this Guide Designed For
1. Business and non-technical users

##Content
1. [Background](#)
2. [What is is all About](#)
3. [The Morphir Community](#)
2. [Getting Started with Morphir](https://github.com/finos/morphir-elm/blob/main/README.md) <br>
2. [Quick Install](#)
3. [How to Write Business Logic](#)
    1. [What Makes a Good Model](#)
    2. [Modelling an Application](#)
    3. [Modelling an API](#)
    4. [Modelling the Local State](#)
    5. [Modelling Remote State Dependencies](#)
    6. [Execution](#)
    7. [Complete Examples](#)
    8. [Modelling Decision Tables](#)
    9. [Modelling for Database Developers](#)
4. [How to Compile](#)
5. [How to Use the Interactive Tools](#)
6. [Development Automation (Dev Bots)](#)
7. [Sharing Business Logic](#)
9. [Why Functional Programming is Used](#)
10. [Regulatory Technology](#)
    1. [Automating RegTech](#)
    2. [Use Case: US LCR](#)
    3. [Getting Started](#)
    4. [Modelling LCR](#)
        1. [Modelling Calculations](#)
        2. [Modelling Collection Operations](#)
        3. [Modellng Structures](#)
    5. [Verifying the Model](#)
    6. [Using Automation to Adapt Model to Your Systems](#)
11. [A Simple Walkthrough - The Surfing Board Model](#)
    1. [Overview](#)
    2. [Installing Morphir](#)
    3. [The First Logic](#)
    4. [Generating Code](#)
